<?php

namespace App\Tests\Utils;

use App\Utils\DarkMode;
use PHPUnit\Framework\TestCase;

class DarkModeTest extends TestCase
{
    public function testIsDarkModeByDefaultAfterInit()
    {
        // Initialize session variable for testing context
        if (session_status() == PHP_SESSION_NONE) {
            $_SESSION = []; // Ensure a clean session state for the test
        }

        DarkMode::init(); // Initializes 'dark_mode' in $_SESSION
        $this->assertFalse(DarkMode::isEnabled(), "DarkMode should be disabled by default after init.");

        // Clean up session variable
        unset($_SESSION['dark_mode']);
    }
}
